# datadog_event – Posts events to Datadog service

- Synopsis

- Parameters

- Examples

- Status

## Synopsis

- Allows to post events to Datadog (www.datadoghq.com) service.

- Uses http://docs.datadoghq.com/api/#events API.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aggregation_key - |  | An arbitrary string to use for aggregation.

alert_type
-

Choices:
- error
- warning
- info ←
- success

Type of alert.

api_key - / required |  | Your DataDog API key.
app_key - / required |  | Your DataDog app key.
date_happened - | Default: "now" | POSIX timestamp of the event. Default value is now.
host - added in 2.4 | Default: "{{ ansible_hostname }}" | Host name to associate with the event.

priority
-

Choices:
- normal ←
- low

The priority of the event.

tags - |  | Comma separated list of tags to apply to the event.
text - / required |  | The body of the event.
title - / required |  | The event title.

validate_certs
boolean

Choices:
- no
- yes ←

If `no`, SSL certificates will not be validated. This should only be used on personally controlled sites using self-signed certificates.

## Examples

    # Post an event with low priority
    - datadog_event:
        title: Testing from ansible
        text: Test
        priority: low
        api_key: 9775a026f1ca7d1c6c5af9d94d9595a4
        app_key: j4JyCYfefWHhgFgiZUqRm63AXHNZQyPGBfJtAzmN
    # Post an event with several tags
    - datadog_event:
        title: Testing from ansible
        text: Test
        api_key: 9775a026f1ca7d1c6c5af9d94d9595a4
        app_key: j4JyCYfefWHhgFgiZUqRm63AXHNZQyPGBfJtAzmN
        tags: 'aa,bb,#host:{{ inventory_hostname }}'

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Artūras arturaz Šlajus (@arturaz)

- Naoya Nakazawa (@n0ts)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.